Retrieving Change Alerts GET
The DynaMed API GET /v1/user/content-change-alerts endpoint returns change alerts for all topics. The endpoint also returns change alerts for followed topics if there are any.
Basic Retrieving of Change Alerts
To Retrieve Change Alerts (example):
Gather the following information for the request:
- A valid ID token.
- An optional limit parameter. If the optional query parameter limit is left blank, it defaults to 5. The limit value must be less than 100.
- An optional list of priorities parameter. The optional query parameter allUpdatesPriorities must be one of the following values: ppc (potentially practice changing), standard or lowplus.
- An optional priorities for followed updates parameter. The optional query parameter followedUpdatesPriorities must be one of the following values: ppc (potentially practice changing), standard or lowplus.
Request
GET https://apis.ebsco.com/medsapi-dynamed/v1/user/content-change-alertsResponse
{
"_metadata": [
{
"rel": "self",
"href": "https://apis.ebsco.com/medsapi-dynamed/v1/user/content-change-alerts"
}
],
"totalItems": 2
},
"items": {
"allUpdates": [
{
"updatesText": "velamentous cord insertion associated with increased risk of cerebral palsy in offspring (Ultrasound Obstet Gynecol 2023 Feb)",
"updatedAtTimestamp": "1686549084000",
"asDate": "2023-06-12",
"practiceChangingUpdate": false,
"updatePriority": "lowplus",
"updateType": "evidenceUpdate",
"relevantTopics": [
{
"id": "t1601912552886",
"anchor": "TOPIC_UDT_DCG_MNB__LI_JLW_PM5_TXBEU061223",
"practiceChangingUpdate": false,
"slug": "/condition/umbilical-cord-abnormalities",
"title": "Umbilical Cord Abnormalities"
}
]
}
],
"followedUpdates": [
{
"updatesText": "etafilcon A drug-eluting contact lens with ketotifen (Acuvue Theravision with Ketotifen) FDA approved for prevention of allergic conjunctivitis associated ocular itch, and correction of refractive ametropia (myopia and hyperopia) in aphakic and/or phakic patients (FDA Label 2022 Feb)",
"updatedAtTimestamp": "1646674706000",
"asDate": "2022-03-07",
"practiceChangingUpdate": false,
"updatePriority": "standard",
"updateType": "drugDeviceUpdate",
"relevantTopics": [
{
"id": "t115480",
"anchor": "TOPIC_UFZ_NNR_ZSB__LI_USD_L1V_TSBDDU030422",
"practiceChangingUpdate": false,
"slug": "/condition/allergic-conjunctivitis",
"title": "Allergic Conjunctivitis"
}
]
}
]
}
}Response Details
The response is divided into two sections - allUpdates and followedUpdates. allUpdates are common to all users, while followedUpdates are topics that the user is following.
| Field | Description |
|---|---|
| updatesText | Description of the update |
| updatedAtTimestamp | Epoch time when the change was published |
| asDate | Displayable date |
| practiceChangingUpdate | This change represents a change in understanding. |
| updatePriority | standard, low or ppc (Potentially Practice Change) |
| updateType | evidenceUpdate, drugDeviceUpdate, recommendationUpdate, outbreakUpdate, guidelineNotationUpdate, guidelineSummaryUpdate, reviewArticleUpdate, algorithmUpdate |
| relevantTopics | Title and identification of the article and section that is affected by this change. |
Error Response Codes
The DynaMed GET change alerts endpoint can return one of the error response codes.
Updated about 15 hours ago
